imports:
  - { resource: messenger.yml }

jms_serializer:
  metadata:
    directories:
      data-definitions:
        namespace_prefix: "DataDefinitionsBundle"
        path: "@DataDefinitionsBundle/Resources/config/serializer"

data_definitions:
  pimcore_admin:
    js:
      startup: '/bundles/datadefinitions/pimcore/js/startup.js'
      definition_abstract_item: '/bundles/datadefinitions/pimcore/js/definition/abstractItem.js'
      import_definition_panel: '/bundles/datadefinitions/pimcore/js/import/panel.js'
      import_definition_item: '/bundles/datadefinitions/pimcore/js/import/item.js'
      import_definition_config: '/bundles/datadefinitions/pimcore/js/import/configDialog.js'
      export_definition_panel: '/bundles/datadefinitions/pimcore/js/export/panel.js'
      export_definition_item: '/bundles/datadefinitions/pimcore/js/export/item.js'
      export_definition_config: '/bundles/datadefinitions/pimcore/js/export/configDialog.js'
      export_definition_fields: '/bundles/datadefinitions/pimcore/js/export/fields.js'
      import_provider_abstract: '/bundles/datadefinitions/pimcore/js/provider/abstractprovider.js'
      import_provider_csv: '/bundles/datadefinitions/pimcore/js/provider/csv.js'
      import_provider_excel: '/bundles/datadefinitions/pimcore/js/provider/excel.js'
      import_provider_sql: '/bundles/datadefinitions/pimcore/js/provider/sql.js'
      import_provider_external_sql: '/bundles/datadefinitions/pimcore/js/provider/externalSql.js'
      import_provider_json: '/bundles/datadefinitions/pimcore/js/provider/json.js'
      import_provider_xml: '/bundles/datadefinitions/pimcore/js/provider/xml.js'
      import_provider_raw: '/bundles/datadefinitions/pimcore/js/provider/raw.js'
      export_provider_abstract: '/bundles/datadefinitions/pimcore/js/export_provider/abstractprovider.js'
      export_provider_csv: '/bundles/datadefinitions/pimcore/js/export_provider/csv.js'
      export_provider_xml: '/bundles/datadefinitions/pimcore/js/export_provider/xml.js'
      resource_definition: '/bundles/datadefinitions/pimcore/js/resource/definition.js'
      definition_panel: '/bundles/datadefinitions/pimcore/js/import/panel.js'
      definition_item: '/bundles/datadefinitions/pimcore/js/import/item.js'
      definition_config: '/bundles/datadefinitions/pimcore/js/import/configDialog.js'
      interpreter_abstract: '/bundles/datadefinitions/pimcore/js/interpreters/abstract.js'
      interpreter_href: '/bundles/datadefinitions/pimcore/js/interpreters/href.js'
      interpreter_multihref: '/bundles/datadefinitions/pimcore/js/interpreters/multihref.js'
      interpreter_defaultvalue: '/bundles/datadefinitions/pimcore/js/interpreters/defaultvalue.js'
      interpreter_specificobject: '/bundles/datadefinitions/pimcore/js/interpreters/specificobject.js'
      interpreter_assetbypath: '/bundles/datadefinitions/pimcore/js/interpreters/assetbypath.js'
      interpreter_asseturl: '/bundles/datadefinitions/pimcore/js/interpreters/asseturl.js'
      interpreter_assetsurl: '/bundles/datadefinitions/pimcore/js/interpreters/assetsurl.js'
      interpreter_quantityvalue: '/bundles/datadefinitions/pimcore/js/interpreters/quantityvalue.js'
      interpreter_nested: '/bundles/datadefinitions/pimcore/js/interpreters/nested.js'
      interpreter_nested_container: '/bundles/datadefinitions/pimcore/js/interpreters/nestedcontainer.js'
      interpreter_empty: '/bundles/datadefinitions/pimcore/js/interpreters/empty.js'
      interpreter_expression: '/bundles/datadefinitions/pimcore/js/interpreters/expression.js'
      interpreter_object_resolver: '/bundles/datadefinitions/pimcore/js/interpreters/objectresolver.js'
      interpreter_mapping: '/bundles/datadefinitions/pimcore/js/interpreters/mapping.js'
      interpreter_iterator: '/bundles/datadefinitions/pimcore/js/interpreters/iterator.js'
      interpreter_definition: '/bundles/datadefinitions/pimcore/js/interpreters/definition.js'
      interpreter_conditional: '/bundles/datadefinitions/pimcore/js/interpreters/conditional.js'
      interpreter_twig: '/bundles/datadefinitions/pimcore/js/interpreters/twig.js'
      interpreter_carbon: '/bundles/datadefinitions/pimcore/js/interpreters/carbon.js'
      interpreter_metadata: '/bundles/datadefinitions/pimcore/js/interpreters/metadata.js'
      interpreter_typecasting: '/bundles/datadefinitions/pimcore/js/interpreters/typecasting.js'
      setter_abstract: '/bundles/datadefinitions/pimcore/js/setters/abstract.js'
      setter_fieldcollection: '/bundles/datadefinitions/pimcore/js/setters/fieldcollection.js'
      setter_objectbrick: '/bundles/datadefinitions/pimcore/js/setters/objectbrick.js'
      setter_classificationstore: '/bundles/datadefinitions/pimcore/js/setters/classificationstore.js'
      setter_localizedfield: '/bundles/datadefinitions/pimcore/js/setters/localizedfield.js'
      getter_fieldcollection: '/bundles/datadefinitions/pimcore/js/getters/fieldcollection.js'
      getter_objectbrick: '/bundles/datadefinitions/pimcore/js/getters/objectbrick.js'
      getter_classificationstore: '/bundles/datadefinitions/pimcore/js/getters/classificationstore.js'
      getter_localizedfield: '/bundles/datadefinitions/pimcore/js/getters/localizedfield.js'
      fetcher_abstract: '/bundles/datadefinitions/pimcore/js/fetchers/abstract.js'
      fetcher_objects: '/bundles/datadefinitions/pimcore/js/fetchers/objects.js'
      fuse: '/bundles/datadefinitions/pimcore/js/automap/fuse.min.js'
      import_rule_action: '/bundles/datadefinitions/pimcore/js/import_rule/action.js'
      import_rule_condition: '/bundles/datadefinitions/pimcore/js/import_rule/condition.js'
      import_rule_item: '/bundles/datadefinitions/pimcore/js/import_rule/item.js'
      import_rule_panel: '/bundles/datadefinitions/pimcore/js/import_rule/panel.js'
      import_rules_interpreter: '/bundles/datadefinitions/pimcore/js/interpreters/import_rule.js'
      import_rules_condition_expression: '/bundles/datadefinitions/pimcore/js/import_rule/conditions/expression.js'
      import_rules_action_expression: '/bundles/datadefinitions/pimcore/js/import_rule/actions/expression.js'
      import_rules_action_object: '/bundles/datadefinitions/pimcore/js/import_rule/actions/object.js'
    css:
      data_definition: '/bundles/datadefinitions/pimcore/css/datadefinition.css'

framework:
  http_client:
    enabled: true